Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.predicates
Class ParallelEdgePredicate

    java.lang.Object
      edu.uci.ics.jung.graph.predicates.GPredicate
          edu.uci.ics.jung.graph.predicates.EdgePredicate
              edu.uci.ics.jung.graph.predicates.ParallelEdgePredicate

All Implemented Interfaces:
  Predicate

public class ParallelEdgePredicate
extends EdgePredicate

A predicate that checks to see whether the specified edge is parallel to any other edge. A negation of this predicate may be used as an edge constraint that will prevent the constrained graph from accepting parallel edges. This predicate is probably not appropriate for use as a subset specification.

Two distinct edges are considered to be parallel to one another if the following conditions hold:

the edges are both directed or both undirected
if undirected, the incident vertex sets for each edge are the same
if directed, the edges have the same source vertex and the same destination vertex

Author:
  Joshua O'Madadhain

Field Summary

Fields inherited from class edu.uci.ics.jung.graph.predicates.GPredicate
`isInitializationPredicate`

Constructor Summary
`protected` | `ParallelEdgePredicate()`

Method Summary
`protected boolean` | `evaluateDirectedEdge(DirectedEdge de, Iterator s_iter)`
`boolean` | `evaluateEdge(ArchetypeEdge ae)` Returns `true` if there exists an edge which is parallel to the specified edge.
`protected boolean` | `evaluateUndirectedEdge(UndirectedEdge ue, Iterator s_iter)`
`static ParallelEdgePredicate` | `getInstance()`
`protected boolean` | `isDirected(Edge e)`
`String` | `toString()`

Methods inherited from class edu.uci.ics.jung.graph.predicates.EdgePredicate
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParallelEdgePredicate

    protected ParallelEdgePredicate()

Method Detail

### getInstance

    public static ParallelEdgePredicate getInstance()

### toString

    public String toString()

### evaluateEdge

    public boolean evaluateEdge(ArchetypeEdge ae)

  Returns `true` if there exists an edge which is parallel to the specified edge.

  Specified by:
    `evaluateEdge` in class `EdgePredicate`
  See Also:
    `Vertex.findEdgeSet(Vertex)`

### evaluateDirectedEdge

    protected boolean evaluateDirectedEdge(DirectedEdge de,
                                           Iterator s_iter)

### evaluateUndirectedEdge

    protected boolean evaluateUndirectedEdge(UndirectedEdge ue,
                                             Iterator s_iter)

### isDirected

    protected boolean isDirected(Edge e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD